import {
    mdiMonitor,
    mdiGithub,
    mdiAccountEye,
    mdiAccountGroup,
    mdiAccountEdit,
    mdiPublish,
    mdiAccountArrowUp,
    mdiFormatListNumbered,
} from '@mdi/js';

export default [
    {
        route: 'dashboard',
        icon: mdiMonitor,
        label: 'Dashboard',
    },
    // {
    //   route: 'permission.index',
    //   icon: mdiAccountKey,
    //   label: 'Permissions'
    // },
    // {
    //   route: 'role.index',
    //   icon: mdiAccountEye,
    //   label: 'Roles'
    // },
    {
        route: 'user.index',
        icon: mdiAccountGroup,
        label: 'Users',
        roles: ['administrator'],
    },
    {
        route: 'role.index',
        icon: mdiAccountEye,
        label: 'Roles',
        roles: ['administrator'],
    },
    {
        href: '/oai',
        icon: mdiAccountEye,
        label: 'OAI',
        target: '_blank',
    },
    {
        // route: 'dataset.create',
        icon: mdiAccountArrowUp,
        label: 'Submitter',
        roles: ['submitter'],
        isOpen: false,
        children: [
            {
                route: 'dataset.list',
                icon: mdiFormatListNumbered,
                label: 'All my datasets',
            },
            {
                route: 'dataset.create',
                icon: mdiPublish,
                label: 'Create Dataset',
            },
        ],
    },
    {
        // route: 'dataset.create',
        icon: mdiAccountEdit,
        label: 'Editor',
        roles: ['editor'],
        isOpen: false,
        children: [
            {
                route: 'editor.dataset.list',
                icon: mdiFormatListNumbered,
                label: 'All my datasets',
            },
            // {
            //     route: 'dataset.create',
            //     icon: mdiPublish,
            //     label: 'Create Dataset',
            // },
        ],
    },
    // {
    //     route: 'dataset.create',
    //     icon: mdiDatabasePlus,
    //     label: 'Create Dataset',
    // },
    {
        href: 'https://gitea.geologie.ac.at/geolba/tethys',
        icon: mdiGithub,
        label: 'Gitea',
        target: '_blank',
    },
];
